import * as $dara from '@darabonba/typescript';
export declare class DescribeSslVpnServersResponseBodySslVpnServersSslVpnServer extends $dara.Model {
    cipher?: string;
    clientIpPool?: string;
    compress?: boolean;
    connections?: number;
    createTime?: number;
    enableMultiFactorAuth?: boolean;
    IDaaSApplicationId?: string;
    IDaaSInstanceId?: string;
    IDaaSInstanceVersion?: string;
    IDaaSRegionId?: string;
    internetIp?: string;
    localSubnet?: string;
    maxConnections?: number;
    name?: string;
    port?: number;
    proto?: string;
    regionId?: string;
    resourceGroupId?: string;
    sslVpnServerId?: string;
    vpnGatewayId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSslVpnServersResponseBodySslVpnServers extends $dara.Model {
    sslVpnServer?: DescribeSslVpnServersResponseBodySslVpnServersSslVpnServer[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSslVpnServersResponseBody extends $dara.Model {
    /**
     * @remarks
     * The number of the page to return.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * D350187B-EA41-4577-950B-95434C8302E1
     */
    requestId?: string;
    sslVpnServers?: DescribeSslVpnServersResponseBodySslVpnServers;
    /**
     * @remarks
     * The number of entries returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
